From a9885c2feb3ec5addfd3d76928844042d014a595 Mon Sep 17 00:00:00 2001
From: Anton Zhukharev <ancieg@altlinux.org>
Date: Wed, 27 Dec 2023 16:15:23 +0300
Subject: [PATCH] fix usage of libxml2

---
 mysql-workbench-community/library/grt/src/grt.h            | 2 +-
 mysql-workbench-community/library/grt/src/unserializer.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/library/grt/src/grt.h b/library/grt/src/grt.h
index 47bfd637..43c1e612 100644
--- a/library/grt/src/grt.h
+++ b/library/grt/src/grt.h
@@ -34,7 +34,7 @@
 #include <vector>
 #include <stdexcept>
 #include <boost/function.hpp>
-#include <libxml/xmlmemory.h>
+#include <libxml/tree.h>
 #include "base/threading.h"
 #include <string>
 #include <gmodule.h>
diff --git a/library/grt/src/unserializer.cpp b/library/grt/src/unserializer.cpp
index 6dda76d6..8f44c33a 100644
--- a/library/grt/src/unserializer.cpp
+++ b/library/grt/src/unserializer.cpp
@@ -401,7 +401,7 @@ ValueRef internal::Unserializer::unserialize_xmldata(const char *data, size_t si
   xmlDocPtr doc = xmlReadMemory(data, (int)size, NULL, NULL, XML_PARSE_NOENT);
 
   if (!doc) {
-    xmlErrorPtr error = xmlGetLastError();
+    const xmlError *error = xmlGetLastError();
 
     if (error)
       throw std::runtime_error(base::strfmt("Could not parse XML data. Line %d, %s", error->line, error->message));
-- 
2.42.1

